///draw_border(left,top,width,height,texture)
/*
 * use create event to determine edge for overlaying text position
 * make sure to draw everything between a rectangle of x1+edge,y1+edge,x2-edge,y2-edge
 */

//paramaters
_xx=argument[0];
_yy=argument[1];
_w=argument[2]
_h=argument[3]
_tex=background_get_texture(argument[4]);
_bckW=background_get_width(argument[4]);

_edge=_bckW/3;
_edgeW=min(_edge,_w*.5);
_edgeH=min(_edge,_h*.5);

_e=_edge/_bckW;
_eW=min(_e,_edgeW/_bckW);
_eH=min(_e,_edgeH/_bckW);

//draw primitive
draw_primitive_begin_texture(pr_trianglestrip,_tex);

draw_vertex_texture(_xx,_yy,0,0);
draw_vertex_texture(_xx+_edgeW,_yy,_eW,0);
draw_vertex_texture(_xx,_yy+_edgeH,0,_eH);
draw_vertex_texture(_xx+_edgeW,_yy+_edgeH,_eW,_eH);
draw_vertex_texture(_xx,_yy+_h-_edgeH,0,1-_eH);
draw_vertex_texture(_xx+_edgeW,_yy+_h-_edgeH,_eW,1-_eH);
draw_vertex_texture(_xx,_yy+_h,0,1);
draw_vertex_texture(_xx+_edgeW,_yy+_h,_eW,1);

draw_vertex_texture(_xx+_w-_edgeW,_yy+_h,1-_eW,1);
draw_vertex_texture(_xx+_edgeW,_yy+_h-_edgeH,_eW,1-_eH);
draw_vertex_texture(_xx+_w-_edgeW,_yy+_h-_edgeH,1-_eW,1-_eH);
draw_vertex_texture(_xx+_edgeW,_yy+_edgeH,_eW,_eH);
draw_vertex_texture(_xx+_w-_edgeW,_yy+_edgeH,1-_eW,_eH);
draw_vertex_texture(_xx+_edgeW,_yy,_eW,0);
draw_vertex_texture(_xx+_w-_edgeW,_yy,1-_eW,0);

draw_vertex_texture(_xx+_w,_yy,1,0);
draw_vertex_texture(_xx+_w-_edgeW,_yy+_edgeH,1-_eW,_eH);
draw_vertex_texture(_xx+_w,_yy+_edgeH,1,_eH);
draw_vertex_texture(_xx+_w-_edgeW,_yy+_h-_edgeH,1-_eW,1-_eH);
draw_vertex_texture(_xx+_w,_yy+_h-_edgeH,1,1-_eH);
draw_vertex_texture(_xx+_w-_edgeW,_yy+_h,1-_eW,1);
draw_vertex_texture(_xx+_w,_yy+_h,1,1);

draw_primitive_end();
